Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deft.extension.decoration.style
Class StyleGroupListBuilder

    java.lang.Object
      org.deft.repository.ast.decoration.GroupListBuilder<StyleGroup>
          org.deft.extension.decoration.style.StyleGroupListBuilder

    public class StyleGroupListBuilder

extends org.deft.repository.ast.decoration.GroupListBuilder<StyleGroup>

New Group for every StyleContainer.

Author:
  Martin Heinzerling
See Also:
  `GroupListBuilder`

Constructor Summary
`StyleGroupListBuilder(java.util.List<org.deft.repository.ast.TokenNode> nodes, StyleContainer styleContainer)`

Method Summary
`boolean` | `belongsToGroup(StyleGroup group, org.deft.repository.ast.TokenNode tn)`
`StyleGroup` | `createNewGroup(org.deft.repository.ast.TokenNode tn)`

Methods inherited from class org.deft.repository.ast.decoration.GroupListBuilder
`addGroup, getGroupList`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleGroupListBuilder

    public StyleGroupListBuilder(java.util.List<org.deft.repository.ast.TokenNode> nodes,
                                 StyleContainer styleContainer)

Method Detail

### belongsToGroup

    public boolean belongsToGroup(StyleGroup group,
                                  org.deft.repository.ast.TokenNode tn)

  Specified by:
    `belongsToGroup` in class `org.deft.repository.ast.decoration.GroupListBuilder<StyleGroup>`

### createNewGroup

    public StyleGroup createNewGroup(org.deft.repository.ast.TokenNode tn)

  Specified by:
    `createNewGroup` in class `org.deft.repository.ast.decoration.GroupListBuilder<StyleGroup>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD